{
  description = "Fredriks datorer";

  inputs = {
    # Nixpkgs
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    nixpkgs-azure-cli.url = "github:NixOS/nixpkgs/nixos-24.11";
    stylix = {
      url = "github:nix-community/stylix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    sops-nix = {
      url = "github:Mic92/sops-nix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    typsite = {
      url = "github:Glomzzz/typsite";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    catppuccin.url = "github:catppuccin/nix";
    confetti.url = "git+https://git.wastring.com/fw/confetti?ref=main";
    powershell-es.url = "git+https://git.wastring.com/fw/powershell-es?ref=main";
    bbk.url = "git+https://git.wastring.com/fw/bbk?ref=main";
    wedding.url = "git+ssh://git@github.com/fwastring/wedding.git?ref=simplify-static-html";
    wedding.inputs.nixpkgs.follows = "nixpkgs";
    neovim-nightly-overlay.url = "github:nix-community/neovim-nightly-overlay";
    home-manager.url = "github:nix-community/home-manager";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";
    hyprland.url = "github:hyprwm/Hyprland";
    minimal-tmux = {
      url = "github:niksingh710/minimal-tmux-status";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    nixvim = {
      url = "github:nix-community/nixvim";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    disko.url = "github:nix-community/disko";
    disko.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs =
    {
      self,
      nixpkgs,
      home-manager,
      stylix,
      sops-nix,
      catppuccin,
      confetti,
      powershell-es,
      bbk,
      nixvim,
      disko,
      ...
    }@inputs:
    let
      inherit (self) outputs;
    in
    {
      nixosConfigurations = {
        gammal = nixpkgs.lib.nixosSystem {
          specialArgs = {
            inherit inputs outputs;
            myhostname = "laptop";
          };
          modules = [
            ./maskiner/gammal/configuration.nix
            ./maskiner/gammal/laptop-disk.nix
            stylix.nixosModules.stylix
            home-manager.nixosModules.home-manager
            sops-nix.nixosModules.sops
            catppuccin.nixosModules.catppuccin
            confetti.nixosModules.default
            bbk.nixosModules.default
            nixvim.nixosModules.default
            disko.nixosModules.disko
          ];
        };
        laptop = nixpkgs.lib.nixosSystem {
          specialArgs = {
            inherit inputs outputs;
            myhostname = "laptop";
          };
          modules = [
            ./maskiner/laptop/configuration.nix
            ./maskiner/laptop/laptop-disk.nix
            stylix.nixosModules.stylix
            home-manager.nixosModules.home-manager
            sops-nix.nixosModules.sops
            catppuccin.nixosModules.catppuccin
            confetti.nixosModules.default
            # bbk.nixosModules.default
            nixvim.nixosModules.default
            disko.nixosModules.disko
          ];
        };
        styrelsen = nixpkgs.lib.nixosSystem {
          specialArgs = {
            inherit inputs outputs;
            myhostname = "styrelsen";
          };
          modules = [
            ./maskiner/styrelsen/configuration.nix
            stylix.nixosModules.stylix
            home-manager.nixosModules.home-manager
            sops-nix.nixosModules.sops
            catppuccin.nixosModules.catppuccin
            nixvim.nixosModules.default
          ];
        };
        node = nixpkgs.lib.nixosSystem {
          specialArgs = {
            inherit inputs outputs;
            myhostname = "node";
          };
          modules = [
            ./maskiner/node/configuration.nix
            home-manager.nixosModules.home-manager
            sops-nix.nixosModules.sops
            # bbk.nixosModules.default
          ];
        };
        core = nixpkgs.lib.nixosSystem {
          specialArgs = {
            inherit inputs outputs;
            myhostname = "core";
          };
          modules = [
            ./maskiner/core/configuration.nix
            stylix.nixosModules.stylix
            home-manager.nixosModules.home-manager
            sops-nix.nixosModules.sops
            catppuccin.nixosModules.catppuccin
            confetti.nixosModules.default
            # bbk.nixosModules.default
            nixvim.nixosModules.default
          ];

        };
        archive = nixpkgs.lib.nixosSystem {
          specialArgs = {
            inherit inputs outputs;
            myhostname = "archive";
          };
          modules = [
            ./maskiner/archive/configuration.nix
            # bbk.nixosModules.default
          ];
        };
      };
    };
}
